Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

My PHP version is 5.2.6, my OS is Debian 5.0 x86-64. I am trying to install the Ioncube loader for PHP but I'm having a little trouble with it. What I have done.

  • I have downloaded the correct loaders package from here http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
  • I have uploaded the ioncube_loader_lin_5.2.so to my PHP extension_dir so now it's located here: /usr/lib/php5/20060613/ioncube_loader_lin_5.2.so
  • I have added this line in my php.ini file: zend_extension = /usr/lib/php5/20060613/ioncube_loader_lin_5.2.so
  • I have checked the php.ini file for any other zend_extension directives but there are none so I just put the zend_extension = /usr/lib/php5/20060613/ioncube_loader_lin_5.2.so on the bottom of the file.
  • I have restarted Apache

After the steps above, I have created phpinfo.php file with this:

<?php phpinfo();

I have loaded the page in my browser and Ioncube is still not enabled. Am I missing something? Did I forget about some important step?

share|improve this question

1 Answer 1

up vote 1 down vote accepted

In that same phpinfo page, what is the Configuration File that it says it's using? Make sure to update that php.ini as well.

share|improve this answer
    
There was a type in my php.ini file. –  Richard Knop Jan 7 '10 at 23:04

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.